org.apache.http.nio

## Class ContentEncoderChannel

- java.lang.Object
- - org.apache.http.nio.ContentEncoderChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, WritableByteChannel

    public class ContentEncoderChannel
    extends Object
    implements WritableByteChannel

A `WritableByteChannel` that delegates to a `ContentEncoder`. Attempts to close this channel are ignored, and `isOpen()` always returns `true`.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ContentEncoderChannel(ContentEncoder contentEncoder)`

### Method Summary

Methods
`void` `close()`
`boolean` `isOpen()`
`int` `write(ByteBuffer src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentEncoderChannel

    public ContentEncoderChannel(ContentEncoder contentEncoder)

### Method Detail

#### write

    public int write(ByteBuffer src)
              throws IOException

Specified by:
  `write` in interface `WritableByteChannel`
Throws:
  `IOException`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`